class GameStats():
	"""跟踪游戏的统计信息"""
	def __init__(self, ai_settings):
		"""初始化统计信息"""
		super(GameStats, self).__init__()
		self.ai_settings = ai_settings
		self.reset_stats()

		# 游戏刚启动时处于非活动状态
		self.game_active = False
		# 在任何情况下都不应该重置最高得分
		self.high_score = 0
		# 等级
		self.level = 1

	def reset_stats(self):
		"""初始化在游戏运行期间可能变化的统计信息"""
		self.ships_left = self.ai_settings.ships_limit
		self.score = 0